Subject: Re: [PATCH v7 0/9] fix fwnode_irq_get[_byname()] returnvalue

From: Jakub Kicinski <[email-masked]>
Date: Tue, 30 May 2023 23:34:38 -0700

On Mon, 29 May 2023 09:22:15 +0300 Matti Vaittinen wrote:
> The fwnode_irq_get() and the fwnode_irq_get_byname() may have returned
> zero if mapping the IRQ fails. This contradicts the
> fwnode_irq_get_byname() documentation. Furthermore, returning zero or
> errno on error is unepected and can easily lead to problems
> like.

What's the merging plan? Could patch 1 go to a stable branch 
and then driver trees can pull it in and apply their respective 
patches locally?